
import java.awt.Button;
import java.awt.GridLayout;
import java.awt.Panel;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ButtonPanel extends Panel
{
   private MemoPad memos;

   public ButtonPanel( MemoPad p )
   {
      memos = p;

      setLayout( new GridLayout( 1, 3 ) );

      Button insertButton = new Button( "Insert" );
      insertButton.addActionListener( new InsertButtonListener() );
      add( insertButton );

      Button findButton = new Button( "Find" );
      findButton.addActionListener( new FindButtonListener() );
      add( findButton );

      Button removeButton = new Button( "Remove" );
      removeButton.addActionListener( new RemoveButtonListener() );
      add( removeButton );
   }

   private class InsertButtonListener implements ActionListener
   {
      public void actionPerformed( ActionEvent e )
      {
         memos.insert();
      }
   }

   private class FindButtonListener implements ActionListener
   {
      public void actionPerformed( ActionEvent e )
      {
         memos.find();
      }
   }

   private class RemoveButtonListener implements ActionListener
   {
      public void actionPerformed( ActionEvent e )
      {
         memos.remove();
      }
   }
}
