
import java.awt.GridLayout;
import java.awt.Label;
import java.awt.Panel;
import java.awt.TextField;

public class FieldPanel extends Panel
{
   private TextField keyField;
   private TextField valueField;

   public FieldPanel()
   {
      setLayout( new GridLayout( 2, 2 ) );

      keyField   = new TextField( 20 );
      valueField = new TextField( 20 );

      add( new Label( "Key:" ) );
      add( keyField );
      add( new Label( "Value:" ) );
      add( valueField );
   }

   public String currentKey()
   {
      return keyField.getText();
   }

   public MemoAssociation currentKeyValuePair()
   {
      return new MemoAssociation( keyField.getText(),
                                  valueField.getText() );
   }

   public void setKey( String newKey )
   {
      keyField.setText( newKey );
   }

   public void setValue( String newValue )
   {
      valueField.setText( newValue );
   }
}
